Subject: bug#25593: Feature request: xref-find-definitions in current file

From: Joel Ekström <[email-masked]>
Date: Fri, 03 Feb 2017 09:43:04 +0100

Hi Dmitry, thanks for your response.

It's funny that you mention counsel-imenu, because counsel/ivy-mode is
actually one of the reasons I wanted this in the first place.
xref-find-definitions displays perfectly in ivy-mode (similar to how
counsel-imenu works), while list-tags does not.

I was actually not aware that counsel-imenu exists, so this solves my
problem to some extent. It's a great improvement compared to using
list-tags.

That said - having an option to have xref-find-definitions filter by
file would still be useful, since ctags is able to index things that
imenu does not. However - if it isn't a simple fix then I don't think
it's worth it, since imenu is "good enough".